import { Controller } from 'stimulus'

/*
 * Deshabilita el elemento que recibe el evento, para evitar que la
 * acción se realice varias veces.
 *
 * <form data-controller="submit-once">
 *   <input type="submit" data-action="submit-once#disable" />
 * </form>
 */
export default class extends Controller {
  disable (event) {
    event.target.disabled = true
  }
}
